# Package org.eclipse.emf.cdo.common.security

Common concepts for dealing with permissions and protectable entities.

- Interface Summary
  Interface | Description
  --- | ---
  CDOPermissionProvider | Provides the protection level of protectable objects.

- Class Summary
  Class | Description
  --- | ---
  CDOPermissionProvider.Constant | Provides a constant protection level for all `revisions`.

- Enum Summary
  Enum | Description
  --- | ---
  CDOPermission | Describes the possible protection levels a protectable object may have.

- Exception Summary
  Exception | Description
  --- | ---
  NoPermissionException | A `security exception` indicating the lack of permission required to do something.